/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.OCDPtoVtaParam;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;



/**
 * @author Thiago
 *
 */
public class RenderOCDPtoVtaParam implements ListitemRenderer {

	/* (non-Javadoc)
	 * @see org.zkoss.zul.ListitemRenderer#render(org.zkoss.zul.Listitem, java.lang.Object)
	 */
	@Override
	public void render(Listitem item, Object data) throws Exception {
		OCDPtoVtaParam puntoVenta = (OCDPtoVtaParam) data;
		
		Listcell lc = new Listcell(puntoVenta.getPuntoventa().getNombpuntoventa());
		lc.setParent(item);

		item.setAttribute("data", puntoVenta);

	}

}
